summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAhmad Fatoum <ahmad@a3f.at>2017-06-22 08:10:46 +0200
committerGuy Harris <guy@alum.mit.edu>2017-06-22 07:01:22 +0000
commitd25c33cc0b091d54f391d5aeceb5bb3453215b73 (patch)
treef8565e68f7b2c13aa1e89f62b9c0bed67b3b734a
parentb370c02a02cef0e26f327342e085fa45b4e06e3f (diff)
downloadwireshark-d25c33cc0b091d54f391d5aeceb5bb3453215b73.tar.gz
macosx-setup.sh: Skip downloading GMP if downloaded before
We were downloading gmp-*.lz, but checking for gmp-*.gz instead. Change-Id: I3c9a29400d389555db7b5f003919ce22aaacf3a1 Reviewed-on: https://code.wireshark.org/review/22338 Reviewed-by: Guy Harris <guy@alum.mit.edu>
-rwxr-xr-xmacosx-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 88f2e0ecc0..9746cd69b1 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -1266,7 +1266,7 @@ uninstall_libgcrypt() {
install_gmp() {
if [ "$GMP_VERSION" -a ! -f gmp-$GMP_VERSION-done ] ; then
echo "Downloading, building, and installing GMP:"
- [ -f gmp-$GMP_VERSION.tar.gz ] || curl -L -O https://gmplib.org/download/gmp/gmp-$GMP_VERSION.tar.lz || exit 1
+ [ -f gmp-$GMP_VERSION.tar.lz ] || curl -L -O https://gmplib.org/download/gmp/gmp-$GMP_VERSION.tar.lz || exit 1
$no_build && echo "Skipping installation" && return
lzip -c -d gmp-$GMP_VERSION.tar.lz | tar xf - || exit 1
cd gmp-$GMP_VERSION